HDF: mfhdf/src/hdf_xdr_priv.h File Reference

Please, help us to better serve our user community by answering the following short survey: https://www.hdfgroup.org/website-survey/

| HDF 4.4.0 API Reference |

Loading...
Searching...
No Matches
hdf_xdr_priv.h File Reference
`#include "nc_priv.h"`

## Data Structures
struct | XDR

## Typedefs
typedef int32_t | bool_t

## Enumerations
enum | xdr_op { XDR_ENCODE = 0 , XDR_DECODE = 1 , XDR_FREE = 2 }

## Functions
HDFLIBAPI bool_t | hdf_xdr_getbytes (XDR *, char *, unsigned)
HDFLIBAPI bool_t | hdf_xdr_putbytes (XDR *, const char *, unsigned)
HDFLIBAPI unsigned | hdf_xdr_getpos (XDR *)
HDFLIBAPI bool_t | hdf_xdr_setpos (XDR *, unsigned)
HDFLIBAPI bool_t | hdf_xdr_int (XDR *, int *)
HDFLIBAPI bool_t | hdf_xdr_u_int (XDR *, unsigned *)
HDFLIBAPI bool_t | hdf_xdr_bytes (XDR *, char **, unsigned *, unsigned)
HDFLIBAPI bool_t | hdf_xdr_opaque (XDR *, char *, unsigned)
HDFLIBAPI bool_t | hdf_xdr_float (XDR *, float *)
HDFLIBAPI bool_t | hdf_xdr_double (XDR *, double *)
HDFLIBAPI int | hdf_xdr_create (XDR *xdrs, int fd, int fmode, enum xdr_op op)
HDFLIBAPI void | hdf_xdr_destroy (XDR *)
HDFLIBAPI void | hdf_xdr_setup_nofile (XDR *xdrs, int ncop)

## Typedef Documentation

## ◆ bool_t

typedef int32_t bool_t

## Enumeration Type Documentation

## ◆ xdr_op

enum xdr_op

Enumerator
XDR_ENCODE |
XDR_DECODE |
XDR_FREE |

## Function Documentation

## ◆ hdf_xdr_bytes()

HDFLIBAPI bool_t hdf_xdr_bytes | ( | XDR * | ,
|  | char ** | ,
|  | unsigned * | ,
|  | unsigned | )

## ◆ hdf_xdr_create()

HDFLIBAPI int hdf_xdr_create | ( | XDR * | xdrs,
|  | int | fd,
|  | int | fmode,
|  | enum xdr_op | op )

## ◆ hdf_xdr_destroy()

HDFLIBAPI void hdf_xdr_destroy | ( | XDR * |  | ) |

## ◆ hdf_xdr_double()

HDFLIBAPI bool_t hdf_xdr_double | ( | XDR * | ,
|  | double * | )

## ◆ hdf_xdr_float()

HDFLIBAPI bool_t hdf_xdr_float | ( | XDR * | ,
|  | float * | )

## ◆ hdf_xdr_getbytes()

HDFLIBAPI bool_t hdf_xdr_getbytes | ( | XDR * | ,
|  | char * | ,
|  | unsigned | )

## ◆ hdf_xdr_getpos()

HDFLIBAPI unsigned hdf_xdr_getpos | ( | XDR * |  | ) |

## ◆ hdf_xdr_int()

HDFLIBAPI bool_t hdf_xdr_int | ( | XDR * | ,
|  | int * | )

## ◆ hdf_xdr_opaque()

HDFLIBAPI bool_t hdf_xdr_opaque | ( | XDR * | ,
|  | char * | ,
|  | unsigned | )

## ◆ hdf_xdr_putbytes()

HDFLIBAPI bool_t hdf_xdr_putbytes | ( | XDR * | ,
|  | const char * | ,
|  | unsigned | )

## ◆ hdf_xdr_setpos()

HDFLIBAPI bool_t hdf_xdr_setpos | ( | XDR * | ,
|  | unsigned | )

## ◆ hdf_xdr_setup_nofile()

HDFLIBAPI void hdf_xdr_setup_nofile | ( | XDR * | xdrs,
|  | int | ncop )

## ◆ hdf_xdr_u_int()

HDFLIBAPI bool_t hdf_xdr_u_int | ( | XDR * | ,
|  | unsigned * | )